> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload rate assets



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/UploadRateAssets
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/UploadRateAssets:
    post:
      tags:
        - MarketData
      summary: Upload rate assets
      operationId: UploadRateAssets
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiUploadRateAssetsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiUploadRateAssetsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiUploadRateAssetsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiUploadRateAssetsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUploadRateAssetsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiUploadRateAssetsRequest:
      example:
        rate_assets:
          - index_curve:
              curve_name: curve_name
              maturities:
                - 3
                - 3
              discount_factors:
                - 9.301444243932576
                - 9.301444243932576
              currency: currency
              extrapolate: true
              value_date: '2000-01-23T04:56:07.000+00:00'
            rate_fixings:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            currency_calendar:
              holidays:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              name: name
              include_weekends: true
            day_count_convention:
              name: name
            type: type
            rate_tenor:
              tenor_string: tenor_string
            fixing_calendar:
              holidays:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              name: name
              include_weekends: true
            business_day_convention: actual
            name: name
            currency: currency
            end_to_end: true
            reference_date: '2000-01-23T04:56:07.000+00:00'
            fixing_to_value_date_offset: 6
          - index_curve:
              curve_name: curve_name
              maturities:
                - 3
                - 3
              discount_factors:
                - 9.301444243932576
                - 9.301444243932576
              currency: currency
              extrapolate: true
              value_date: '2000-01-23T04:56:07.000+00:00'
            rate_fixings:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            currency_calendar:
              holidays:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              name: name
              include_weekends: true
            day_count_convention:
              name: name
            type: type
            rate_tenor:
              tenor_string: tenor_string
            fixing_calendar:
              holidays:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              name: name
              include_weekends: true
            business_day_convention: actual
            name: name
            currency: currency
            end_to_end: true
            reference_date: '2000-01-23T04:56:07.000+00:00'
            fixing_to_value_date_offset: 6
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        rate_assets:
          items:
            $ref: '#/components/schemas/RateAsset'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiUploadRateAssetsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiUploadRateAssetsResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiUploadRateAssetsResponse,
              Derivitec.Web.Core
    RateAsset:
      example:
        index_curve:
          curve_name: curve_name
          maturities:
            - 3
            - 3
          discount_factors:
            - 9.301444243932576
            - 9.301444243932576
          currency: currency
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        rate_fixings:
          values:
            - 2.3021358869347655
            - 2.3021358869347655
          dates:
            - dates
            - dates
          asset_id: asset_id
        currency_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
        day_count_convention:
          name: name
        type: type
        rate_tenor:
          tenor_string: tenor_string
        fixing_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
        business_day_convention: actual
        name: name
        currency: currency
        end_to_end: true
        reference_date: '2000-01-23T04:56:07.000+00:00'
        fixing_to_value_date_offset: 6
      properties:
        provider_id:
          nullable: true
          type: string
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        currency:
          nullable: true
          type: string
        currency_calendar:
          $ref: '#/components/schemas/Calendar'
        day_count_convention:
          $ref: '#/components/schemas/DayCountConventionBase'
        end_to_end:
          type: boolean
        fixing_calendar:
          $ref: '#/components/schemas/Calendar'
        fixing_to_value_date_offset:
          format: int32
          type: integer
        index_curve:
          $ref: '#/components/schemas/DiscountCurve'
        name:
          nullable: true
          type: string
        rate_fixings:
          $ref: '#/components/schemas/Fixings'
        rate_tenor:
          $ref: '#/components/schemas/Tenor'
        reference_date:
          format: date-time
          type: string
        type:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.RateAsset, Derivitec.Web.Core
      required:
        - $type
      type: object
    Calendar:
      discriminator:
        mapping:
          Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core: '#/components/schemas/CalendarMintlifyShape'
          Derivitec.Web.Core.StaticData.CalendarIntersection, Derivitec.Web.Core: '#/components/schemas/CalendarIntersection'
          Derivitec.Web.Core.StaticData.CalendarUnion, Derivitec.Web.Core: '#/components/schemas/CalendarUnion'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/CalendarMintlifyShape'
        - $ref: '#/components/schemas/CalendarIntersection'
        - $ref: '#/components/schemas/CalendarUnion'
    DayCountConventionBase:
      discriminator:
        mapping:
          Derivitec.Web.Core.StaticData.DayCountConventionBase, Derivitec.Web.Core: '#/components/schemas/DayCountConventionBaseMintlifyShape'
          Derivitec.Web.Core.StaticData.Actual360, Derivitec.Web.Core: '#/components/schemas/Actual360'
          Derivitec.Web.Core.StaticData.Actual365, Derivitec.Web.Core: '#/components/schemas/Actual365'
          Derivitec.Web.Core.StaticData.ActualActual, Derivitec.Web.Core: '#/components/schemas/ActualActual'
          Derivitec.Web.Core.StaticData.ActualActualAFB, Derivitec.Web.Core: '#/components/schemas/ActualActualAFB'
          Derivitec.Web.Core.StaticData.NL365, Derivitec.Web.Core: '#/components/schemas/NL365'
          Derivitec.Web.Core.StaticData.Thirty360, Derivitec.Web.Core: '#/components/schemas/Thirty360'
          Derivitec.Web.Core.StaticData.ThirtyE360, Derivitec.Web.Core: '#/components/schemas/ThirtyE360'
          Derivitec.Web.Core.StaticData.ThirtyE360Isda, Derivitec.Web.Core: '#/components/schemas/ThirtyE360Isda'
          Derivitec.Web.Core.StaticData.ThirtyU360, Derivitec.Web.Core: '#/components/schemas/ThirtyU360'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/DayCountConventionBaseMintlifyShape'
        - $ref: '#/components/schemas/Actual360'
        - $ref: '#/components/schemas/Actual365'
        - $ref: '#/components/schemas/ActualActual'
        - $ref: '#/components/schemas/ActualActualAFB'
        - $ref: '#/components/schemas/NL365'
        - $ref: '#/components/schemas/Thirty360'
        - $ref: '#/components/schemas/ThirtyE360'
        - $ref: '#/components/schemas/ThirtyE360Isda'
        - $ref: '#/components/schemas/ThirtyU360'
    DiscountCurve:
      example:
        curve_name: curve_name
        maturities:
          - 3
          - 3
        discount_factors:
          - 9.301444243932576
          - 9.301444243932576
        currency: currency
        extrapolate: true
        value_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        curve_name:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        extrapolate:
          type: boolean
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        value_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core
      required:
        - $type
      type: object
    Fixings:
      example:
        values:
          - 2.3021358869347655
          - 2.3021358869347655
        dates:
          - dates
          - dates
        asset_id: asset_id
      properties:
        asset_id:
          nullable: true
          type: string
        dates:
          items:
            type: string
          nullable: true
          type: array
        values:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core
      required:
        - $type
      type: object
    Tenor:
      example:
        tenor_string: tenor_string
      properties:
        tenor_string:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Tenor, Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarMintlifyShape:
      example:
        holidays:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        name: name
        include_weekends: true
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarIntersection:
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.CalendarIntersection,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarUnion:
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.CalendarUnion, Derivitec.Web.Core
      required:
        - $type
      type: object
    DayCountConventionBaseMintlifyShape:
      example:
        name: name
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.DayCountConventionBase,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Actual360:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Actual360, Derivitec.Web.Core
    Actual365:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Actual365, Derivitec.Web.Core
    ActualActual:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.ActualActual, Derivitec.Web.Core
    ActualActualAFB:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.ActualActualAFB, Derivitec.Web.Core
    NL365:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.NL365, Derivitec.Web.Core
    Thirty360:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Thirty360, Derivitec.Web.Core
    ThirtyE360:
      required:
        - $type
      type: object
      properties:
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.ThirtyE360, Derivitec.Web.Core
    ThirtyE360Isda:
      properties:
        name:
          nullable: true
          type: string
        last_coupon:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.ThirtyE360Isda, Derivitec.Web.Core
      required:
        - $type
      type: object
    ThirtyU360:
      properties:
        name:
          nullable: true
          type: string
        end_of_month:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.ThirtyU360, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````